﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MIT.master" %>

<script runat="server">
    void bt1_ButtonClicked(Object sender, EventArgs e)
    {
        FormView1.DataBind();
    }

    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {
        FormView1.DataBind();
    }

    protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        GridView2.DataBind();
    }
</script>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" runat="server">
        <h2>Payment and Shipping Information</h2>
        <br />
        <h3>1. Payment Info</h3><br />
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" 
            SelectCommand="SELECT * FROM [OrderHeader] WHERE ([OrderID] = (SELECT MAX([OrderID]) FROM [OrderHeader] WHERE [CustomerID] = @CustomerID))" 
            UpdateCommand="UPDATE [OrderHeader] SET [CreditCardOrPO] = @CreditCardOrPO, [Comments] = @Comments WHERE [OrderID] = @OrderID">
            <SelectParameters>
                <asp:QueryStringParameter Name="CustomerID" QueryStringField="CustomerID" Type="Int32" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="CreditCardOrPO" Type="String" />
                <asp:Parameter Name="Comments" Type="String" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <asp:FormView ID="FormView1" runat="server" DataKeyNames="OrderID" DataSourceID="SqlDataSource1" OnItemUpdated="FormView1_ItemUpdated">
            <EditItemTemplate>
                CreditCardOrPO:
                <asp:TextBox ID="CreditCardOrPOTextBox" runat="server" Text='<%# Bind("CreditCardOrPO") %>' />
                <br />
                Comments:
                <asp:TextBox ID="CommentsTextBox" runat="server" Text='<%# Bind("Comments") %>' />
                <br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" />
                <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </EditItemTemplate>
            <ItemTemplate>
                OrderID:
                <asp:Label ID="OrderIDLabel" runat="server" Text='<%# Eval("OrderID") %>' />
                <br />
                OrderStatus:
                <asp:Label ID="OrderStatusLabel" runat="server" Text='<%# Bind("OrderStatus") %>' />
                <br />
                DatePlaced:
                <asp:Label ID="DatePlacedLabel" runat="server" Text='<%# Bind("DatePlaced") %>' />
                <br />
                TotalCost:
                <asp:Label ID="TotalCostLabel" runat="server" Text='<%# Bind("TotalCost") %>' />
                <br />
                CreditCardOrPO:
                <asp:Label ID="CreditCardOrPOLabel" runat="server" Text='<%# Bind("CreditCardOrPO") %>' />
                <br />
                CustomerID:
                <asp:Label ID="CustomerIDLabel" runat="server" Text='<%# Bind("CustomerID") %>' />
                <br />
                Comments:
                <asp:Label ID="CommentsLabel" runat="server" Text='<%# Bind("Comments") %>' />
                <br />
                <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Enter Payment Info" />
            </ItemTemplate>
        </asp:FormView>
        <br />
        <h3>2. Shipping Info (Select the shipping mode and a carrier will be assigned)</h3>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" SelectCommand="SELECT * FROM [Mode]"></asp:SqlDataSource>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="Mode" DataSourceID="SqlDataSource2" OnSelectedIndexChanged="GridView1_SelectedIndexChanged">
            <Columns>
                <asp:CommandField ShowSelectButton="True" />
                <asp:BoundField DataField="Mode" HeaderText="Mode" ReadOnly="True" SortExpression="Mode" />
            </Columns>
        </asp:GridView><br /><br />
        <h3>3. Order Summary</h3>
        <asp:SqlDataSource ID="SqlDataSource3" runat="server" ConnectionString="<%$ ConnectionStrings:AircraftPartsConnectionString %>" 
            SelectCommand="UPDATE [OrderHeader]
                           SET [Mode] = @Mode, [CertNo] = (SELECT [CERTNO] FROM [CarrierMode] WHERE [Mode] = @Mode ORDER BY [CERTNO] OFFSET CAST((RAND()*(SELECT COUNT(*) FROM CarrierMode WHERE Mode = @Mode)-1) AS INT) ROWS FETCH NEXT 1 ROWS ONLY), [OrderStatus] = 'Placed'
                           WHERE [OrderID] = (SELECT MAX([OrderID]) FROM [OrderHeader] WHERE [CustomerID] = @CustomerID)
                           SELECT * FROM [OrderHeader] WHERE [OrderID] = (SELECT MAX([OrderID]) FROM [OrderHeader] WHERE [CustomerID] = @CustomerID)">
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="Mode" PropertyName="SelectedValue" Type="String" />
                <asp:QueryStringParameter Name="CustomerID" QueryStringField="CustomerID" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
        <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" DataKeyNames="OrderID" DataSourceID="SqlDataSource3">
            <Columns>
                <asp:BoundField DataField="OrderID" HeaderText="OrderID" InsertVisible="False" ReadOnly="True" SortExpression="OrderID" />
                <asp:BoundField DataField="OrderStatus" HeaderText="OrderStatus" SortExpression="OrderStatus" />
                <asp:BoundField DataField="DatePlaced" HeaderText="DatePlaced" SortExpression="DatePlaced" />
                <asp:BoundField DataField="TotalCost" HeaderText="TotalCost" SortExpression="TotalCost" />
                <asp:BoundField DataField="CreditCardOrPO" HeaderText="CreditCardOrPO" SortExpression="CreditCardOrPO" />
                <asp:BoundField DataField="CertNo" HeaderText="CertNo" SortExpression="CertNo" />
                <asp:BoundField DataField="Mode" HeaderText="Mode" SortExpression="Mode" />
                <asp:BoundField DataField="CustomerID" HeaderText="CustomerID" SortExpression="CustomerID" />
                <asp:BoundField DataField="Comments" HeaderText="Comments" SortExpression="Comments" />
            </Columns>
        </asp:GridView>
        <br /><br />


    </form>
</asp:Content>

